<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
	require_once '../common/begin.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Histórico do Indivíduo</title>

	<style type="text/css" rel='stylesheet'>
		@import "http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/ui-lightness/jquery-ui.css";
		@import "common/style.css";
	</style>

	<script type='text/javascript' src='http://www.google.com/jsapi'></script>
	<script type='text/javascript'>
		google.load('jquery','1.3');
		google.load('jqueryui','1.7');
	</script>

	<script type="text/javascript" src="js/jquery.datatables.js"> </script>

</head>

<body>

<script type='text/javascript'>
	google.setOnLoadCallback(function(){
		$('#listagem').dataTable({
			bJQueryUI: true,
			aaSorting: [[0,'desc']],
			oLanguage: { sUrl: "lang/datatables_ptbr.json" },
			aoColumns: 
			[ 
				{
					sClass: 'center',
					sName: "data"
				},
				{
					sClass: 'center',
					sName: "sistema"
				},
				{
					sClass: 'center',
					sName: "link",
					bSortable: false
				}
			]
		});
	});
</script>

<? 
try
{
	$_SESSION['auth'] = true;

	// Pega parametros da URL
	$idpessoa = $_GET['id'];

	if(!$idpessoa)
		throw new Exception("Indivíduo não encontrado");

	$pessoa = Doctrine_Query::create()
		->from('CabcomumPessoa p')
		->leftJoin('p.historico h')
		->where('p.id=?',$idpessoa)
		->orderBy('h.data_comparecimento desc')
		->fetchOne();

	if(!$pessoa)
		throw new Exception("Indivíduo não encontrado");

	function mostra_menu()
	{
?>
		<div id='menu'>
			<a href='consulta.php'>nova consulta</a>
		</div>
<?
	}


	echo "<h1> .:: Histórico de $pessoa->nome ::. </h1>";

	include '../common/header.php';

	garante_permissao(TipoUsuario::SUPERVISOR);
?>

<div id=message></div>

<?

if(count($pessoa->historico) == 0)
	throw new Exception("Indivíduo ainda não compareceu em sistema algum");

$curano = NULL;
$curmes = NULL;

?>

<table id=listagem class=listagem>
	<thead> 
		<tr>
			<th>Data</th>
			<th>Sistema</th>
			<th class=ui-state-default>Informações</th>
		</tr>
	</thead>
	<tbody>
<?

foreach($pessoa->historico as $h)
{
	$timestamp = strtotime($h->data_comparecimento);

	echo "<tr><td>".strftime("%Y/%m/%d %H:%M:%S",$timestamp)."</td>
		<td>".$h->sistema->descricao."</td>";
	if(!empty($h->sistema->url_comparecimento))
	{
		$url = $h->sistema->url_comparecimento;

		if($h->sistema->id == ID_SISTEMA_CULTURA)
			$url .= "?url=".base64_encode("cliente=semge&idpessoa=$pessoa->id");
		else
			$url .= "?idpessoa=".$pessoa->id;

		$data_param = strftime("%Y%m%dT%H%M%S",$timestamp);
		$url .= "&data=$data_param";

		// Sistema da Cultura precisa de uma url um pouco diferente...

		echo "<td><a href='$url'>link</td>\n";
	}
	else
		echo "<td>N/D</td>\n";
	echo "</tr>\n";
}

?>

	</tbody>
</table>

<?
}
catch(Exception $e)
{
	mostra_erro($e->getMessage(),1);
}

include '../common/footer.php';

?>

</body>
</html>
